Summary:	Library to access GSM mobile phones through GSM modems
Summary(pl.UTF-8):	Biblioteka dostępu do telefonów GSM poprzez modem GSM
Name:		gsmlib
Version:	1.10
Release:	8
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.pxh.de/fs/gsmlib/download/%{name}-%{version}.tar.gz
# Source0-md5:	deea4ce2e4f5f1965d32d576597d3ff4
Patch0:		%{name}-assert.patch
Patch1:		%{name}-template.patch
Patch2:		%{name}-qual.patch
Patch3:		%{name}-gcc-4.1.patch
Patch4:		%{name}-include.patch
Patch5:		includes.patch
Patch6:		link.patch
URL:		http://www.pxh.de/fs/gsmlib/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This distribution contains a library to access GSM mobile phones
through GSM modems. Features include:
 - modification of phonebooks stored in the mobile phone or on the SIM
   card
 - reading and writing of SMS messages stored in the mobile phone
 - sending and reception of SMS messages

Additionally, some simple command line programs are provided to use
these functionalities.

%description -l pl.UTF-8
Pakiet zawiera bibliotekę umożliwiającą dostęp do mobilnych telefonów
GSM poprzez modemy GSM. Możliwości to m.in.:
 - modyfikacja książek adresowych zawartych w telefonie lub na karcie
   SIM
 - czytanie i pisanie wiadomości SMS zapisanych w telefonie
 - wysyłanie i odbieranie wiadomości SMS

Dodatkowo dostępnych jest kilka prostych poleceń do korzystania z tych
funkcji.

%package devel
Summary:	Development tools for programs which will use the gsmlib library
Summary(pl.UTF-8):	Pliki nagłówkowe do pisania programów wykorzystujących gsmlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
The gsmlib-devel package includes the header files necessary for
developing programs which use the gsmlib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe wymagane do rozwoju programów wykorzystujących
gsmlib.

%package static
Summary:	Static gmslib library
Summary(pl.UTF-8):	Statyczna biblioteka gsmlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmslib library.

%description static -l pl.UTF-8
Statyczna biblioteka gsmlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1

%build
# supplied libtool is broken (C++ library linking)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-nls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO doc/FAQ
%attr(755,root,root) %{_bindir}/gsmctl
%attr(755,root,root) %{_bindir}/gsmpb
%attr(755,root,root) %{_bindir}/gsmsendsms
%attr(755,root,root) %{_bindir}/gsmsiectl
%attr(755,root,root) %{_bindir}/gsmsiexfer
%attr(755,root,root) %{_bindir}/gsmsmsd
%attr(755,root,root) %{_bindir}/gsmsmsstore
%attr(755,root,root) %{_libdir}/libgsmext.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsmext.so.1
%attr(755,root,root) %{_libdir}/libgsmme.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsmme.so.1
%{_mandir}/man1/gsmctl.1*
%{_mandir}/man1/gsmpb.1*
%{_mandir}/man1/gsmsendsms.1*
%{_mandir}/man1/gsmsmsstore.1*
%{_mandir}/man7/gsminfo.7*
%{_mandir}/man8/gsmsmsd.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsmext.so
%attr(755,root,root) %{_libdir}/libgsmme.so
%{_libdir}/libgsmext.la
%{_libdir}/libgsmme.la
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgsmext.a
%{_libdir}/libgsmme.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gsmlib.git;a=log;h=master

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 3b853e5
- verbose files, track soname
- there is no pkgconfig support here - restored .la files to handle inter-library dependencies

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> c63a6d7
- track soname; rm unpackaged .la

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f0b695
- added two patches
- ghost symlink
- commented *.la in files section

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d811bf1
- missing linking

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8c4e83f
- missing includes

* Thu Apr 19 2007 Paweł Sikora <pluto@pld-linux.org> 31e3ab9
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 7.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3854bb3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8144859
- converted to UTF-8

* Thu Sep 28 2006 Elan Ruusamäe <glen@pld-linux.org> d408c28
- strict internal deps

* Sun Sep 10 2006 shadzik <shadzik@pld-linux.org> af4814d
- rel++

* Sun Sep 10 2006 shadzik <shadzik@pld-linux.org> 024b4e3
- fix build on AC

* Sun Sep 10 2006 shadzik <shadzik@pld-linux.org> 909a2f1
- proper locale includes

* Wed Aug 09 2006 czarny <czarny@pld-linux.org> a34e47d
- darn - forgot to ci spec after ci patch and sent to builders
- rel5 to send it to builders
- gcc-4.1 patc
- builds on th

* Wed Aug 09 2006 czarny <czarny@pld-linux.org> 15d191a
- fixes strange gcc 4 not allowing Pprepends:: behaviour

* Tue Sep 13 2005 wrobell <wrobell@pld-linux.org> dc1a704
- fixed compilation error: explicit qualification in declaration of...
- rel. 4

* Tue Sep 13 2005 wrobell <wrobell@pld-linux.org> 49acaf7
- fix compilation error: explicit qualification in declaration of...

* Sun Jun 26 2005 zbyniu <zbyniu@pld-linux.org> e0765ba
- BR: gettext-devel, libstdc++-devel, R: libstdc++-devel in -devel

* Fri Sep 10 2004 wrobell <wrobell@pld-linux.org> fd25075
- template definition fixes to build with gcc 3.4.x
- rel. 3

* Fri Sep 10 2004 wrobell <wrobell@pld-linux.org> 69e7836
- fix template definition, so gcc 3.4.x will compile the file (patch stolen
  from Mandrake)

* Wed Jun 30 2004 wrobell <wrobell@pld-linux.org> 33e7ccc
- added patch to include assert properly
- rel. 2

